import { TradeSlotType } from "./definitions/adventureland";
import { PingCompensatedCharacter } from "./PingCompensatedCharacter";
export declare class Merchant extends PingCompensatedCharacter {
    closeMerchantStand(): Promise<void>;
    fish(): Promise<void>;
    joinGiveaway(slot: TradeSlotType, id: string, rid: string): Promise<void>;
    listForSale(itemPos: number, tradeSlot: TradeSlotType, price: number, quantity?: number): unknown;
    merchantCourage(): Promise<void>;
    mine(): Promise<void>;
    mluck(target: string): Promise<void>;
    openMerchantStand(): Promise<void>;
    massProduction(): Promise<void>;
}
