import Mongoose from "mongoose";
export * from "./achievements/achievements.model";
export * from "./achievements/achievements.types";
export * from "./auths/auths.model";
export * from "./auths/auths.types";
export * from "./deaths/deaths.model";
export * from "./deaths/deaths.types";
export * from "./entities/entities.model";
export * from "./entities/entities.types";
export * from "./npcs/npcs.model";
export * from "./npcs/npcs.types";
export * from "./players/players.model";
export * from "./players/players.types";
export declare class Database {
    static lastMongoUpdate: Map<string, Date>;
    static connection: Mongoose.Connection;
    protected constructor();
    static connect(uri?: string): Promise<typeof Mongoose>;
    static disconnect(): void;
}
