"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const PlayerSchema = new Schema({
    lastSeen: { type: Number },
    map: String,
    name: { required: true, type: String },
    owner: String,
    s: { required: false, type: Object },
    serverIdentifier: String,
    serverRegion: String,
    slots: { type: Object },
    type: String,
    x: Number,
    y: Number,
});
PlayerSchema.index({ name: 1 }, { unique: true });
PlayerSchema.index({ serverIdentifier: 1, serverRegion: 1 });
PlayerSchema.index({ lastSeen: 1 });
PlayerSchema.index({ owner: 1 });
exports.default = PlayerSchema;
//# sourceMappingURL=players.schema.js.map